SystemOrganization addCategory: #Rizel!
SystemOrganization addCategory: #'Rizel-Tests'!

TestCase subclass: #RizelBrowserTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Tests'!

!RizelBrowserTest methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 15:31'!
testCreation
	"Creational test"
	|browser|
	browser := RizelBrowser new.
	browser open.
	
! !

TestCase subclass: #RizelRunnerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel-Tests'!

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 18:06'!
testBasic
	|rep versions v80 runner|
	rep := MCHttpRepository location:'http://www.squeaksource.com/EyeSee'  user: '' password: ''.
	versions := ( (rep versionNamesBetween: 80 and: 85 every: 1) select:[:each | '*Core*' match: each]).
	v80 := versions first.
	runner := RizelVersionRunner repository: rep version: v80.
	runner profile: [ ESExamples new historyDiagram3. ].! !

!RizelRunnerTest methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 18:22'!
testEnviroment
	| t1 t2 t3 t4 t5 |
	t2 := MCHttpRepository
				location: 'http://www.squeaksource.com/EyeSee'
				user: ''
				password: ''.
	t3 := (t2
				versionNamesBetween: 80
				and: 85
				every: 1)
				select: [:t6 | '*Core*' match: t6].
	t1 := RizelEnviroment new.
	t3
		do: [:t6 | 
			| t7 t8 t9 |
			t7 := RizelVersionRunner repository: t2 version: t6.
			t8 := t7
						profile: [[ESExamples new historyDiagram3]
								on: Error
								do: []].
			t9 := RizelVersion new.
			t9 tally: t8;
				 versionNumber: t6.
			"t1 addVersion: t9"
			].
	self assert: t3 size = t1 versions size.
	^ t1! !

Object subclass: #RizelBrowser
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel'!

!RizelBrowser methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 15:40'!
browser
	""
	|browser|
	browser := GLMTabulator new.
	
	browser column: [ : c |
		c row: #finder span: 1;
		   row: #methods span:10.
		
		] span: 4;
	column: #eyesee   span: 10;
	column: [ :c |
		c row: #methodName span:1;
		   row: #detail span: 10.
		]    span: 2.
	
	^ browser.
	! !

!RizelBrowser methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 15:37'!
open
	""
	self browser openOn:(OrderedCollection new).! !

Object subclass: #RizelEnviroment
	instanceVariableNames: 'versions'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel'!

!RizelEnviroment methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 17:46'!
addVersion: aMessageTail
	versions add: aMessageTail.! !

!RizelEnviroment methodsFor: 'as yet unclassified' stamp: ''!
estEnviroment
	| t1 t2 t3 t4 t5 |
	t2 := MCHttpRepository
				location: 'http://www.squeaksource.com/EyeSee'
				user: ''
				password: ''.
	t3 := (t2
				versionNamesBetween: 80
				and: 85
				every: 1)
				select: [:t6 | '*Core*' match: t6].
	t1 := RizelEnviroment new.
	t3
		do: [:t6 | 
			| t7 t8 t9 |
			t7 := RizelVersionRunner repository: t2 version: t6.
			t8 := t7
						profile: [[ESExamples new historyDiagram3]
								on: Error
								do: []].
			t9 := RizelVersion new.
			t9 tally: t8;
				 versionNumber: t6.
			"t1 addVersion: t9"
			].
	self assert: t3 size = t1 versions size.
	^ t1! !

!RizelEnviroment methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 17:45'!
versions
	^ versions.! !

!RizelEnviroment methodsFor: 'accessing' stamp: 'JSandoval 12/26/2011 17:48'!
versions: anObject
	versions := anObject! !

Object subclass: #RizelRunner
	instanceVariableNames: 'tally pollingEvery'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel'!

RizelRunner subclass: #RizelBasicRunner
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel'!

!RizelBasicRunner methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 17:39'!
profile: aBlock
	| stream list result |
	
	tally := MessageTally new.
	tally
		reportOtherProcesses: false;
		maxClassNameSize: 1000;
		maxClassPlusSelectorSize: 1000;
		maxTabs: 100.
	
	tally spyEvery: pollingEvery on: aBlock.
	^ tally.! !

!RizelRunner methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 16:29'!
initialize 
	super initialize.
	pollingEvery := MessageTally defaultPollPeriod.
	! !

!RizelRunner methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 16:26'!
pollingEvery: aPollingEvery
	pollingEvery:= aPollingEvery! !

!RizelRunner methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 17:38'!
profile: aBlock
	! !

RizelRunner subclass: #RizelVersionRunner
	instanceVariableNames: 'version repository'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel'!

!RizelVersionRunner class methodsFor: 'accessing' stamp: 'JSandoval 12/26/2011 18:43'!
repository: t1 version: t2
	| t3 |
	t3 := RizelVersionRunner new
		repository: t1;
		version: t2.
	^ t3! !

!RizelVersionRunner methodsFor: 'accessing' stamp: 'JSandoval 12/26/2011 18:56'!
profile: aBlock
	| stream list result |
	
	Gofer new repository: repository;
						 version: version;
						 load.
	tally := MessageTally new.
	tally
		reportOtherProcesses: false;
		maxClassNameSize: 1000;
		maxClassPlusSelectorSize: 1000;
		maxTabs: 100.
	
	tally spyEvery: pollingEvery on: aBlock.
	^ tally.! !

!RizelVersionRunner methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 17:36'!
repository
	repository! !

!RizelVersionRunner methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 17:36'!
repository: aRepository
	repository := aRepository.! !

!RizelVersionRunner methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 17:37'!
version
	version.! !

!RizelVersionRunner methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 17:36'!
version: aVersion
	version:= aVersion.! !

Object subclass: #RizelVersion
	instanceVariableNames: 'tally versionNumber'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Rizel'!

!RizelVersion methodsFor: 'as yet unclassified' stamp: 'JSandoval 12/26/2011 17:55'!
select: aBlock
	| stack result |
	stack := Stack new.
	result := OrderedCollection new.
	stack push: tally.
	(stack isEmpty) ifFalse: [
		|m|
		m := stack pop.
		( aBlock value: m ) ifTrue: [ result add: m. ].
		m receivers do: [ : m1| stack push: m1. ].  ].
	^ result.! !

!RizelVersion methodsFor: 'accessing' stamp: 'JSandoval 12/26/2011 17:48'!
tally
	^ tally! !

!RizelVersion methodsFor: 'accessing' stamp: 'JSandoval 12/26/2011 17:48'!
tally: anObject
	tally := anObject! !

!RizelVersion methodsFor: 'accessing' stamp: 'JSandoval 12/26/2011 17:48'!
versionNumber
	^ versionNumber! !

!RizelVersion methodsFor: 'accessing' stamp: 'JSandoval 12/26/2011 17:48'!
versionNumber: anObject
	versionNumber := anObject! !
